Index: uspace/srv/hid/output/output.c
===================================================================
--- uspace/srv/hid/output/output.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ uspace/srv/hid/output/output.c	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
@@ -44,5 +44,5 @@
 typedef struct {
 	link_t link;
-	
+
 	size_t size;
 	unsigned int flags;
@@ -56,14 +56,14 @@
 {
 	assert(ops->get_dimensions);
-	
+
 	outdev_t *dev = (outdev_t *) malloc(sizeof(outdev_t));
 	if (dev == NULL)
 		return NULL;
-	
+
 	link_initialize(&dev->link);
-	
+
 	dev->ops = *ops;
 	dev->data = data;
-	
+
 	ops->get_dimensions(dev, &dev->cols, &dev->rows);
 	dev->backbuf = chargrid_create(dev->cols, dev->rows,
@@ -73,5 +73,5 @@
 		return NULL;
 	}
-	
+
 	list_append(&dev->link, &outdevs);
 	return dev;
@@ -81,13 +81,13 @@
 {
 	errno_t ret = EOK;
-	
+
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.yield);
-		
+
 		errno_t rc = dev->ops.yield(dev);
 		if (rc != EOK)
 			ret = rc;
 	}
-	
+
 	async_answer_0(iid, ret);
 }
@@ -96,13 +96,13 @@
 {
 	errno_t ret = EOK;
-	
+
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.claim);
-		
+
 		errno_t rc = dev->ops.claim(dev);
 		if (rc != EOK)
 			ret = rc;
 	}
-	
+
 	async_answer_0(iid, ret);
 }
@@ -112,10 +112,10 @@
 	sysarg_t cols = MAX_COLS;
 	sysarg_t rows = MAX_ROWS;
-	
+
 	list_foreach(outdevs, link, outdev_t, dev) {
 		cols = min(cols, dev->cols);
 		rows = min(rows, dev->rows);
 	}
-	
+
 	async_answer_2(iid, EOK, cols, rows);
 }
@@ -124,11 +124,11 @@
 {
 	console_caps_t caps = 0;
-	
+
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.get_caps);
-		
+
 		caps |= dev->ops.get_caps(dev);
 	}
-	
+
 	async_answer_1(iid, EOK, caps);
 }
@@ -143,10 +143,10 @@
 		}
 	}
-	
+
 	if (frontbuf == NULL) {
 		async_answer_0(iid, ENOENT);
 		return NULL;
 	}
-	
+
 	return frontbuf;
 }
@@ -159,7 +159,7 @@
 		return;
 	}
-	
+
 	link_initialize(&frontbuf->link);
-	
+
 	ipc_callid_t callid;
 	if (!async_share_out_receive(&callid, &frontbuf->size,
@@ -169,5 +169,5 @@
 		return;
 	}
-	
+
 	errno_t rc = async_share_out_finalize(callid, &frontbuf->data);
 	if ((rc != EOK) || (frontbuf->data == AS_MAP_FAILED)) {
@@ -176,5 +176,5 @@
 		return;
 	}
-	
+
 	list_append(&frontbuf->link, &frontbufs);
 	async_answer_1(iid, EOK, (sysarg_t) frontbuf);
@@ -186,9 +186,9 @@
 	if (frontbuf == NULL)
 		return;
-	
+
 	list_remove(&frontbuf->link);
 	as_area_destroy(frontbuf->data);
 	free(frontbuf);
-	
+
 	async_answer_0(iid, EOK);
 }
@@ -199,22 +199,22 @@
 	if (frontbuf == NULL)
 		return;
-	
+
 	chargrid_t *buf = (chargrid_t *) frontbuf->data;
 	bool visible = chargrid_get_cursor_visibility(buf);
-	
+
 	sysarg_t col;
 	sysarg_t row;
 	chargrid_get_cursor(buf, &col, &row);
-	
+
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.cursor_update);
-		
+
 		sysarg_t prev_col;
 		sysarg_t prev_row;
 		chargrid_get_cursor(dev->backbuf, &prev_col, &prev_row);
-		
+
 		chargrid_set_cursor(dev->backbuf, col, row);
 		chargrid_set_cursor_visibility(dev->backbuf, visible);
-		
+
 		dev->ops.cursor_update(dev, prev_col, prev_row, col, row,
 		    visible);
@@ -222,5 +222,5 @@
 
 	}
-	
+
 	async_answer_0(iid, EOK);
 }
@@ -233,5 +233,5 @@
 		    (console_style_t) IPC_GET_ARG1(*icall);
 	}
-	
+
 	async_answer_0(iid, EOK);
 }
@@ -248,5 +248,5 @@
 		    (console_color_attr_t) IPC_GET_ARG3(*icall);
 	}
-	
+
 	async_answer_0(iid, EOK);
 }
@@ -259,5 +259,5 @@
 		dev->attrs.val.rgb.fgcolor = IPC_GET_ARG2(*icall);
 	}
-	
+
 	async_answer_0(iid, EOK);
 }
@@ -266,12 +266,12 @@
 {
 	assert(dev->ops.char_update);
-	
+
 	sysarg_t top_row = chargrid_get_top_row(buf);
-	
+
 	if (dev->top_row == top_row)
 		return false;
-	
+
 	dev->top_row = top_row;
-	
+
 	for (sysarg_t y = 0; y < dev->rows; y++) {
 		for (sysarg_t x = 0; x < dev->cols; x++) {
@@ -281,22 +281,22 @@
 			    chargrid_charfield_at(dev->backbuf, x, y);
 			bool update = false;
-			
+
 			if (front_field->ch != back_field->ch) {
 				back_field->ch = front_field->ch;
 				update = true;
 			}
-			
+
 			if (!attrs_same(front_field->attrs, back_field->attrs)) {
 				back_field->attrs = front_field->attrs;
 				update = true;
 			}
-			
+
 			front_field->flags &= ~CHAR_FLAG_DIRTY;
-			
+
 			if (update)
 				dev->ops.char_update(dev, x, y);
 		}
 	}
-	
+
 	return true;
 }
@@ -307,13 +307,13 @@
 	if (frontbuf == NULL)
 		return;
-	
+
 	chargrid_t *buf = (chargrid_t *) frontbuf->data;
-	
+
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.char_update);
-		
+
 		if (srv_update_scroll(dev, buf))
 			continue;
-		
+
 		for (sysarg_t y = 0; y < dev->rows; y++) {
 			for (sysarg_t x = 0; x < dev->cols; x++) {
@@ -323,5 +323,5 @@
 				    chargrid_charfield_at(dev->backbuf, x, y);
 				bool update = false;
-				
+
 				if ((front_field->flags & CHAR_FLAG_DIRTY) ==
 				    CHAR_FLAG_DIRTY) {
@@ -330,5 +330,5 @@
 						update = true;
 					}
-					
+
 					if (!attrs_same(front_field->attrs,
 					    back_field->attrs)) {
@@ -336,17 +336,17 @@
 						update = true;
 					}
-					
+
 					front_field->flags &= ~CHAR_FLAG_DIRTY;
 				}
-				
+
 				if (update)
 					dev->ops.char_update(dev, x, y);
 			}
 		}
-		
+
 		dev->ops.flush(dev);
 	}
-	
-	
+
+
 	async_answer_0(iid, EOK);
 }
@@ -357,19 +357,19 @@
 	if (frontbuf == NULL)
 		return;
-	
+
 	chargrid_t *buf = (chargrid_t *) frontbuf->data;
-	
+
 	list_foreach(outdevs, link, outdev_t, dev) {
 		assert(dev->ops.char_update);
-		
+
 		if (srv_update_scroll(dev, buf))
 			continue;
-		
+
 		sysarg_t col = IPC_GET_ARG2(*icall);
 		sysarg_t row = IPC_GET_ARG3(*icall);
-		
+
 		sysarg_t cols = IPC_GET_ARG4(*icall);
 		sysarg_t rows = IPC_GET_ARG5(*icall);
-		
+
 		for (sysarg_t y = 0; y < rows; y++) {
 			for (sysarg_t x = 0; x < cols; x++) {
@@ -378,5 +378,5 @@
 				charfield_t *back_field =
 				    chargrid_charfield_at(dev->backbuf, col + x, row + y);
-				
+
 				back_field->ch = front_field->ch;
 				back_field->attrs = front_field->attrs;
@@ -395,14 +395,14 @@
 	/* Accept the connection */
 	async_answer_0(iid, EOK);
-	
+
 	while (true) {
 		ipc_call_t call;
 		ipc_callid_t callid = async_get_call(&call);
-		
+
 		if (!IPC_GET_IMETHOD(call)) {
 			async_answer_0(callid, EOK);
 			break;
 		}
-		
+
 		switch (IPC_GET_IMETHOD(call)) {
 		case OUTPUT_YIELD:
@@ -418,5 +418,5 @@
 			srv_get_caps(callid, &call);
 			break;
-		
+
 		case OUTPUT_FRONTBUF_CREATE:
 			srv_frontbuf_create(callid, &call);
@@ -425,5 +425,5 @@
 			srv_frontbuf_destroy(callid, &call);
 			break;
-			
+
 		case OUTPUT_CURSOR_UPDATE:
 			srv_cursor_update(callid, &call);
@@ -444,5 +444,5 @@
 			srv_damage(callid, &call);
 			break;
-			
+
 		default:
 			async_answer_0(callid, EINVAL);
@@ -462,7 +462,7 @@
 		return 1;
 	}
-	
+
 	printf("%s: HelenOS output service\n", NAME);
-	
+
 	/* Register server */
 	async_set_fallback_port_handler(client_connection, NULL);
@@ -472,5 +472,5 @@
 		return rc;
 	}
-	
+
 	service_id_t service_id;
 	rc = loc_service_register(argv[1], &service_id);
@@ -479,15 +479,15 @@
 		return rc;
 	}
-	
+
 	if (!config_key_exists("console")) {
 		ega_init();
 	}
-	
+
 	chardev_init();
-	
+
 	printf("%s: Accepting connections\n", NAME);
 	task_retval(0);
 	async_manager();
-	
+
 	/* Never reached */
 	return 0;
